<?php
/**
 * @copyright Gmed Srl
 * @author Sciarrone Riccardo <riccardos@gmed.it>
 * 
 * qui viene messa la funzione che calcola
 * i tags DICOM da modificare
 * per questo STUDIO
 */


/*
 * qui viene messa la funzione che calcola
 * l'accession number per questa installazione
 */

function tags_to_modify_calculation($study, $study_db) {

    $tags_to_modify = Array();
    $tags_to_modify["rule"] = "NESSUNA REGOLA SODDISFATTA";
    $tags_to_modify["found"] = FALSE;
    $tags_to_modify["tags"] = Array();

    foreach ($study["Instances"] as $instance) {
        
        // versione Niguarda!!
        //print_r($instance);
        $t103 = ' ';
        
        //echoo($instance["0008-0060"] . "\n");
        
        if (isset($instance["0008-103e"])) {
            $t103 = $instance["0008-103e"];
        }
        if ( $instance["0008-0060"] == "CT" && substr($t103, 0, 4) == "CBCT" ) {
            // regola 1
            echoo("Trovata regola 1\n");
            WriteLog("Trovato questo Acc.Number  CT + CBCT =>" . $instance["0008-0060"] . " / " . $t103, process_logfile, "INFO");
            
            $tags_to_modify["rule"] = "Regola 1 CT+CBCT";
            
            //var_dump($study_db);
            
            $progr = str_pad($study_db["id"], 6, "0", STR_PAD_LEFT);
            $tags_to_modify["tags"]["0008-0050"] = "PR" . $study_db["pat_id"] . $progr;
            $tags_to_modify["tags"]["0008-1030"] = "KVP=" . trim($instance["0018-0060"]) . ' Exp.Tm=' . trim($instance["0018-1150"]) . ' Tube Curr=' . trim($instance["0018-1151"]) . 'CTDIvol=' . trim($instance["0018-9345"]);
            $tags_to_modify["found"] = TRUE;
            return $tags_to_modify;
        } 
        else if ( trim($instance["0008-0060"]) == "RTIMAGE" || trim($instance["0008-0060"]) == "RTSTRUCT" ) {
            // regola 2
            echoo("Trovata regola 2\n");
            WriteLog("Trovato RTIMAGE + RTSTRUCT " . $instance["0008-0060"], process_logfile, "INFO");
            
            $tags_to_modify["rule"] = "Regola 2";
            $tags_to_modify["tags"]["0008-0050"] = $study_db["accession_number"];
            $tags_to_modify["found"] = TRUE;
            return $tags_to_modify;
        } 
    /*    else if ( trim($instance["0008-0060"]) == "DX" || trim($instance["0008-0060"]) == "MR") {
            // regola 3
            echoo("Trovata regola 3\n");
            WriteLog("Trovato 0008-0060 = DX ", process_logfile, "INFO");

            $tags_to_modify["rule"] = "Regola 3";
            $tags_to_modify["tags"]["0010-0020"] = "CIAO123"; //$study_db["accession_number"];
            $tags_to_modify["found"] = TRUE;
            return $tags_to_modify;
        }*/

    }
    
    // NON C'E' PROPRIO NULLA
    echoo("NESSUNA REGOLA SODDISFATTA\n\n");
    WriteLog("NESSUNA REGOLA SODDISFATTA", process_logfile, "ERROR");


    return $tags_to_modify;
}
